For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns the checklist items for a private task with the specified id.
      • GETReturns a checklist item for a private task with the specified id.
      • GETReturns the checklist for a private task with the specified id.
      • GETRetrieves a checklist item from a private task.
      • GETReturns the checklist items for a project task with the specified id.
      • GETRetrieves a checklist item from a project task.
      • GETReturns the checklist items for the task with the specified id.
      • POSTCreates a checklist item for a task with the specified id.
      • POSTConverts all checklist items of the specified task to subtasks.
      • GETReturns the checklist item with the specified id for a task.
      • PUTUpdates a checklist item for a task with the specified id.
      • DELDeletes a checklist item from a task.
      • GETReturns the checklist items for a private task with the specified id.
      • GETReturns a checklist item for a private task with the specified id.
      • GETReturns the checklist for a private task with the specified id.
      • GETRetrieves a checklist item from a private task.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceChecklist Items

Deletes a checklist item from a task.

DELETE
https://api.awork.com/api/v1/tasks/:taskId/checklistitems/:checklistItemId
DELETE
/api/v1/tasks/:taskId/checklistitems/:checklistItemId
$curl -X DELETE https://api.awork.com/api/v1/tasks/taskId/checklistitems/checklistItemId \
> -H "Authorization: Bearer <token>"
<Check title="Required Permissions" icon="key">The user must have at least `write` permissions on the specified task.</Check>
Was this page helpful?
Previous

Returns the checklist items for a private task with the specified id.

Next
Built with
Required Permissions
The user must have at least write permissions on the specified task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The id of the task.
checklistItemIdstringRequiredformat: "uuid"
The id of the checklist item to delete.

Response

No Content

Errors

401
Unauthorized Error
404
Not Found Error